/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

#include <qtextedit.h>
#include "psitextview.h"

void AboutDlg::init()
{
	lb_name->setText ( lb_name->text().arg(PROG_NAME).arg(PROG_VERSION) );

	te_license->setText ( loadText(g.pathBase + "/COPYING") );

	QString lang_name = qApp->translate( "@default", "language_name" );
	if ( lang_name == "language_name" ) // remove the translation tab, if no translation is used
		tw_tabs->removePage ( tw_tabs->page(3) );

	// fill in Authors tab...
	QString authors;
	authors += details(QString::fromUtf8("Stefano Grini"),
			   "http://www.wikicrazia.it", "", "",
			   tr("Founder and Original Author"));
	authors += details(QString::fromUtf8("Dmitry Poplavsky"),
			   "dima@uael.com.ua", "", "",
			   tr("Developer"));
	authors += details(QString::fromUtf8("Oleksandr Yakovlyev"),
			   "yshurik@uael.com.ua", "", "",
			   tr("Developer"));

    authors += details("Libjingle",
				"", "", "http://code.google.com/",
				"Google Inc.");

	authors += details("PsiJingle",
				"", "", "http://psi-im.org/authors", 
				"Psi Team");

	te_authors->setText( authors );

	// fill in Thanks To tab...
	QString thanks;

	thanks += details("Kacper D?browski",
				"kacdab@gmail.com", "",
				"http://www.jabbin.com/pl/",
				"T?umacz, Webmaster");

	thanks += details("Arturas Bajarkevicius",
				"nuclear99 at gmail dot com", "",
				"http://www.jabbin.com/lt",
				"Lithuanian translator and");

	thanks += details("Dobrov Sergey",
				"Binary@JRuDevels.org", "",
				"http://JRuDevels.org",
				"Binary, Developer");

	thanks += details("Emilio Casbas",
				"ecasbasj@yahoo.es", "",
				"http://www.jabbin.com/es",
				"Spanish Translator and webmaster.");

	thanks += details("Psi Team",
				"", "", "http://psi-im.org/authors", "");

	te_thanks->setText( thanks );
}

QString AboutDlg::loadText( const QString & fileName )
{
	QString text;

	QFile f(fileName);
	if(f.open(IO_ReadOnly)) {
		QTextStream t(&f);
		while(!t.eof())
			text += t.readLine() + '\n';
		f.close();
	}

	return text;
}


QString AboutDlg::details( QString name, QString email, QString jabber, QString www, QString desc )
{
	QString ret;
	const QString nbsp = "&nbsp;&nbsp;";
	ret += name + "<br>\n";
	if ( !email.isEmpty() )
		ret += nbsp + "E-mail: " + "<a href=\"mailto:" + email + "\">" + email + "</a><br>\n";
	if ( !jabber.isEmpty() )
		ret += nbsp + "Jabber: " + "<a href=\"jabber:" + jabber + "\">" + jabber + "</a><br>\n";
	if ( !www.isEmpty() )
		ret += nbsp + "WWW: " + "<a href=\"" + www + "\">" + www + "</a><br>\n";
	if ( !desc.isEmpty() )
		ret += nbsp + desc + "<br>\n";
	ret += "<br>\n";

	return ret;
}
