// vim:tabstop=4:shiftwidth=4:expandtab:cinoptions=(s,U1,m1
// Copyright (C) 2005 Dmitry Poplavsky <dima@thekompany.com>
#ifndef MEDIASTREAM_H
#define MEDIASTREAM_H

#include <qobject.h>
#include <qcstring.h>
#include <qptrqueue.h>

namespace cricket {
    class MediaChannel;
};



/*!
 \class MediaStream mediastream.h
 \brief stub
 */

//class cricket::MediaChannel::NetworkInterface;

class MediaStream : public QObject {
Q_OBJECT
public:
	MediaStream(QObject * parent = 0L, const char * name = 0L);
	virtual ~MediaStream();

    bool isRunning();
    

public slots:    
    void start( QPtrQueue<QByteArray> *incomingPackets, cricket::MediaChannel *mediaChannel, int codecPayload);
    void stop();
    
    void timerClick();

    //send packets to network or not
    void setSend(bool send);

signals:
    void finished();

    //show middle and maximum level in range 0..100
    void micLevel( int mid, int max );
    void dspLevel( int mid, int max );


public:    
	class Private;
private:
	Private *d;

    void processMicData(short* data, int size);
    void processDspData(short* data, int size);
}; 

#endif // MEDIASTREAM_H


